<?php
$prelaoder_type = rad_get_option("preloader-type");
if($prelaoder_type == "none")
{
    return;
}

?>
<div id="preloader" class="<?php echo rad_get_option("preloader-type");?>">
    <?php
    if ( $prelaoder_type == "logo") {

        $preloader = RAD_THEME_IMAGES_URI . "/logo.png";
        if ( get_option( "preloader-logo" ) != "" ) {
            $preloader = rad_get_image_url(rad_e_option( "preloader-logo" ),"full");
        }
        ?>
        <div class="p-item" style="background-image:url(<?php echo esc_url($preloader); ?>);"></div>
    
    <?php } else if ( $prelaoder_type == "ripple1" ) { ?>

        <div class="p-item"></div>

    <?php } else if ( $prelaoder_type == "ripple2" ) { ?>

        <div class="p-item"></div>

    <?php } else if ( $prelaoder_type == "line" ) { ?>
            <div class="p-item"></div>
    <?php } ?>            
</div>